Makefile.am: link libusb-1.0 after libusb-0.1 to fix dependencies 85/2485/2
authorPaul Fertser <fercerpav@gmail.com>
Tue, 20 Jan 2015 15:29:31 +0000 (18:29 +0300)
committerSpencer Oliver <spen@spen-soft.co.uk>
Wed, 4 Feb 2015 21:56:45 +0000 (21:56 +0000)
Since libusb-0.1 might be provided by libusb-compat, it will depend on
libusb-1.0, so needs to be mentioned before it in the link command
line, this is relevant for static linking.

Thanks go to mingwandroid for spotting it during MSYS2 build.

Change-Id: I15cf0b8f084c351b4f93e75686bd0f843477352b
Signed-off-by: Paul Fertser <fercerpav@gmail.com>
Reviewed-on: http://openocd.zylin.com/2485
Tested-by: jenkins
Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>
src/Makefile.am

index 7d67e3d..26e02d0 100644 (file)
@@ -74,7 +74,7 @@ libopenocd_la_LIBADD = \
        $(top_builddir)/src/rtos/librtos.la \
        $(top_builddir)/src/helper/libhelper.la \
        $(LIBFTDI_LIBS) $(MINGWLDADD) \
-       $(HIDAPI_LIBS) $(LIBUSB1_LIBS) $(LIBUSB0_LIBS)
+       $(HIDAPI_LIBS) $(LIBUSB0_LIBS) $(LIBUSB1_LIBS)
 
 STARTUP_TCL_SRCS = \
        $(srcdir)/helper/startup.tcl \